﻿@using FQ.MD.WEB.Resources

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page"><i class="fas fa-home"></i> Dashboard</li>
    </ol>
</nav>
@if (ViewBag.IsAdmin)
{
    <div class="card">
        <div class="card-header">
            <div class="row">
                <div class="col-6">
                    <h5 class="color-brand">Accessed Charts</h5>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div style="height:300px;">
                <canvas id="canvas-chart"></canvas>
            </div>
        </div>
    </div>
}

@section Scripts{
    @if (ViewBag.IsAdmin)
    {
        <script type="text/javascript">
            $(document).ready(function () {
                $('#modalProcess').modal({ backdrop: 'static', keyboard: false, show: true });

                $.get("/Home/GetAdminChartData", function (res) {
                    $('#modalProcess').modal('hide');

                    var chartData = {
                        labels: res.Data.Label,
                        datasets: [{
                            label: "Accessed",
                            borderColor: 'blue',
                            data: res.Data.Count,
                            fill: 'start',
                        }]
                    };

                    new Chart(document.getElementById('canvas-chart').getContext('2d'), {
                        type: 'line',
                        data: chartData,
                        options: {
                            responsive: true,
                            maintainAspectRatio: false,
                            legend: {
                                display: false
                            },
                            scales: {
                                yAxes: [{
                                    ticks: {
                                        callback: function (value, index, values) {
                                            return value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                                        }
                                    }
                                }]
                            }
                        }
                    });
                });
            });
        </script>
    }
}